[P103]patent SPUM

post
https://connect.patsnap.com/material/material-spum
Try in Sandbox

This interface provides all material and PUM (including Property, Unit and Measurement) in the patent text.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string9cf648f8-8283-4767-9a14-f90f68303f3e,7353c607-0594-4592-b99e-aea9f517de17
patent_id
patent_number
stringCN108977442B
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringCN113769175B
patent publication number
patent_id
string05da3d4e-6f13-4005-9a2d-0645d2554cbf
patent id
spum_detail
arraysubstanceLable
material substance info
ppi_id
integer<int32>17010571
material property id
section
stringclaims
section
raw_unit
stringmin
material property raw unit
unit_offset
array[ { "end": 155, "text": "min", "start": 152 } ]
material property unit offset range
end
integer<int32>95
end position
text
string聚乙烯醇
text
start
integer<int32>92
start position
raw_property
string时间
material property name
substance_id
string8eb8c62a-9d2f-4c1b-953d-dcf142a10a21
material substance id
raw_substance
string聚乙烯醇
material substance name
measurement_max
number<double>599.37
material property measurement max
measurement_min
number<double>59.937
material property measurement min
raw_measurement
string1.0~10.0
material property raw measurement
substance_offset
array[ { "end": 95, "text": "聚乙烯醇", "start": 92 } ]
material substance offset range
measurement_offset
array[ { "end": 152, "text": "1-10", "start": 148 } ]
material property measurement offset range
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "CN113769175B",
      "patent_id": "05da3d4e-6f13-4005-9a2d-0645d2554cbf",
      "spum_detail": [
        {
          "ppi_id": 17010571,
          "section": "claims",
          "raw_unit": "min",
          "unit_offset": [
            {
              "end": 95,
              "text": "聚乙烯醇",
              "start": 92
            }
          ],
          "raw_property": "时间",
          "substance_id": "8eb8c62a-9d2f-4c1b-953d-dcf142a10a21",
          "raw_substance": "聚乙烯醇",
          "measurement_max": 599.37,
          "measurement_min": 59.937,
          "raw_measurement": "1.0~10.0",
          "substance_offset": [
            {
              "end": 95,
              "text": "聚乙烯醇",
              "start": 92
            }
          ],
          "measurement_offset": [
            {
              "end": 95,
              "text": "聚乙烯醇",
              "start": 92
            }
          ]
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms